<?php

use Drupal\DrupalExtension\Context\DrupalContext;

/**
 * Defines application features from the specific context.
 */
class FeatureContext extends DrupalContext {

  /**
   * Initializes context.
   *
   * Every scenario gets its own context instance.
   * You can also pass arbitrary arguments to the
   * context constructor through behat.yml.
   */
  public function __construct() {
  }

  /**
   * Wait specified milliseconds.
   *
   * @When I wait :msec milliseconds
   */
  public function waitMilliSeconds($msec): void {
    usleep($msec * 1000);
  }

  /**
   * Find text in a table row containing given text.
   *
   * @Then I should see (the text ):text1 or :text2 in the :rowText row
   */
  public function assertTextOrTableRow($text1, $text2, $rowText): void {
    $row = $this->getTableRow($this->getSession()->getPage(), $rowText);
    if (strpos($row->getText(), $text1) === FALSE && strpos($row->getText(), $text2) === FALSE) {
      throw new \Exception(sprintf('Found a row containing "%s", but it contained neither the text "%s" nor "%s".', $rowText, $text1, $text2));

    }
  }

}
