Feature: Create resource for AWS as "Administrator"
  In order to change to ongoing state
  As an admin
  We need to create some resources

  @javascript @api
  Scenario: Add an AWS Cloud service provider
    Given I am logged in as a user with the "Administrator" role
    When I visit "/admin/structure/cloud_config/add/aws_cloud"
    And I enter "{{ cloud_service_provider_name_entered }}" for "Name"
    And I enter "{{ account_id }}" for "Account ID"
    And I select "{{ region_name }}" from "Regions"
    And I check the box "Use Instance Profile"
    And I press "Save"
    And I wait for AJAX to finish
    Then I should be on "/clouds"
    And I should see "Creating cloud service provider was performed successfully"
    And I should see "{{ cloud_service_provider_name }}"

  @javascript @api
  Scenario: Create a role and give it permission for AWS resource access
    Given I am logged in as a user with the "Administrator" role
    When I visit "/admin/people/roles/add"
    And I enter "{{ role_name }}" for "Role name"
    And I wait for AJAX to finish
    And I enter "{{ role_name_machine }}" for "Machine-readable name"
    And I press "Save"
    And I wait for AJAX to finish
    And I should be on "/admin/people/roles"
    And I should see "{{ role_name }}"
    Then I visit "admin/people/permissions/{{ role_name_machine }}"
    # Need to set "any" since each scenario creates a new user.
    And I check the box "Delete / Terminate any Amazon EC2 instance"
    And I check the box "Delete any AWS Cloud EBS snapshot"
    And I check the box "Delete any AWS Cloud EBS volume"
    And I check the box "Delete any AWS Cloud Elastic IP"
    And I check the box "Delete any AWS Cloud Elastic Network Interface"
    And I check the box "Delete any AWS Cloud VPC"
    And I check the box "Delete any AWS Cloud VPC carrier gateway"
    And I check the box "Delete any AWS Cloud VPC internet gateway"
    And I check the box "Delete any AWS Cloud VPC peering connection"
    And I check the box "Delete any AWS Cloud VPC subnet"
    And I check the box "Delete any AWS Cloud VPC transit gateway"
    And I check the box "Delete any AWS Cloud image"
    And I check the box "Delete any AWS Cloud key pair"
    And I check the box "Delete any AWS Cloud security group"
    And I check the box "Edit any AWS Cloud EBS snapshot"
    And I check the box "Edit any AWS Cloud EBS volume"
    And I check the box "Edit any AWS Cloud Elastic IP"
    And I check the box "Edit any AWS Cloud Elastic Network Interface"
    And I check the box "Edit any AWS Cloud VPC"
    And I check the box "Edit any AWS Cloud VPC carrier gateway"
    And I check the box "Edit any AWS Cloud VPC internet gateway"
    And I check the box "Edit any AWS Cloud VPC peering connection"
    And I check the box "Edit any AWS Cloud VPC subnet"
    And I check the box "Edit any AWS Cloud VPC transit gateway"
    And I check the box "Edit any AWS Cloud image"
    And I check the box "Edit any AWS Cloud instance"
    And I check the box "Edit any AWS Cloud key pair"
    And I check the box "Edit any AWS Cloud security group"
    And I check the box "View any AWS Cloud EBS snapshot"
    And I check the box "View any AWS Cloud EBS volume"
    And I check the box "View any AWS Cloud Elastic IP"
    And I check the box "View any AWS Cloud Elastic Network Interface"
    And I check the box "View any AWS Cloud VPC"
    And I check the box "View any AWS Cloud VPC carrier gateway"
    And I check the box "View any AWS Cloud VPC internet gateway"
    And I check the box "View any AWS Cloud VPC peering connection"
    And I check the box "View any AWS Cloud VPC subnet"
    And I check the box "View any AWS Cloud VPC transit gateway"
    And I check the box "View any AWS Cloud image"
    And I check the box "View any AWS Cloud instance"
    And I check the box "View any AWS Cloud key pair"
    And I check the box "View any AWS Cloud security group"
    And I check the box "Access {{ cloud_service_provider_name }}"
    And I check the box "Approve launch AWS Cloud instance"
    And I check the box "Delete any cloud launch templates"
    And I check the box "Edit any cloud launch templates"
    And I check the box "Launch approved cloud launch template"
    And I check the box "View any cloud launch templates"
    And I press "Save permissions"
    And I wait for AJAX to finish
    And I should see "The changes have been saved."
