@api
Feature: Confirm no AWS resources created by user as "Administrator"
  In order to be able to replicate BDD tests
  As an administrator
  I need to confirm no resources

  Scenario Outline: No link to the instance
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/instance"
    And I click "Refresh"
    Then I should not see "pending"

    Examples:
      | role            |
      |"Administrator"  |

  Scenario Outline: No link to the instance name on the template list
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/design/server_template/{{ cloud_context }}"
    And I click "Refresh"
    Then I should not see the link "{{ instance_name }}"

    Examples:
      | role            |
      |"Administrator"  |

  Scenario Outline: No link to the security group
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/security_group"
    And I click "Refresh"
    Then I should not see the link "{{ security_group_name }}"

    Examples:
      | role            |
      |"Administrator"  |

  Scenario Outline: No link to the subnet
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/subnet"
    And I click "Refresh"
    Then I should not see the link "{{ subnet_name }}"

    Examples:
      | role            |
      |"Administrator"  |

  Scenario Outline: No link to the VPC
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/vpc"
    And I click "Refresh"
    Then I should not see the link "{{ vpc_name }}"

    Examples:
      | role            |
      |"Administrator"  |

  Scenario Outline: No link to the AMI image
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/image"
    And I click "Refresh"
    Then I should not see the link "{{ image_name }}"

    Examples:
      | role            |
      |"Administrator"  |

  Scenario Outline: No link to the SSH key pair
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/key_pair"
    And I click "Refresh"
    Then I should not see the link "{{ ssh_key_name }}"

    Examples:
      | role            |
      |"Administrator"  |
