Feature: Delete the created resources as "Authenticated user"
  In order to be able to replicate BDD tests
  As a user
  I need to delete some resources

  @api
  Scenario: Terminate an instance
    Given I am logged in as a user with the "{{ role_name }}" role
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/instance"
    And I click "Refresh"
    And I should see the link "{{ instance_name }}"
    And I wait {{wait}} milliseconds
    And I click "{{ instance_name }}"
    And the url should match "/instance/"
    And I click "Delete" in the "actions"
    And the url should match "/terminate"
    And I press "Delete | Terminate"
    Then I should be on "/clouds/aws_cloud/{{ cloud_context }}/instance"
    And I should see "has been deleted"
    And I click "Refresh"
    And I should see "{{ instance_name }}" in the table
    And I should see the text "shutting-down" or "terminated" in the "{{ instance_name }}" row

  @javascript @api
  Scenario: Delete a launch template
    Given I am logged in as a user with the "{{ role_name }}" role
    When I visit "/clouds/design/server_template/{{ cloud_context }}"
    And I click "Refresh"
    And I should see the link "{{ instance_name }}"
    And I wait {{wait}} milliseconds
    And I click "{{ instance_name }}"
    And the url should match "/{{ cloud_context }}/"
    And I click "Delete" in the "nav_tabs"
    And the url should match "/delete"
    And I press "Delete"
    And I wait for AJAX to finish
    Then I should be on "/clouds/design/server_template/{{ cloud_context }}"
    And I should see "has been deleted"
    And I click "Refresh"
    And I should not see the link "{{ instance_name }}" in the table

  @javascript @api
  Scenario: Delete a security group
    Given I am logged in as a user with the "{{ role_name }}" role
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/security_group"
    And I click "Refresh"
    And I should see the link "{{ security_group_name }}"
    And I wait {{wait}} milliseconds
    And I click "{{ security_group_name }}"
    And the url should match "/security_group/"
    And I click "Delete" in the "actions"
    And the url should match "/delete"
    And I press "Delete"
    And I wait for AJAX to finish
    Then I should be on "/clouds/aws_cloud/{{ cloud_context }}/security_group"
    And I should see "has been deleted"
    And I click "Refresh"
    And I should not see the link "{{ security_group_name }}" in the table

  @javascript @api
  Scenario: Delete a subnet
    Given I am logged in as a user with the "{{ role_name }}" role
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/subnet"
    And I click "Refresh"
    And I should see the link "{{ subnet_name }}"
    And I wait {{wait}} milliseconds
    And I click "{{ subnet_name }}"
    And the url should match "/subnet/"
    And I click "Delete" in the "actions"
    And the url should match "/delete"
    And I press "Delete"
    And I wait for AJAX to finish
    Then I should be on "/clouds/aws_cloud/{{ cloud_context }}/subnet"
    And I should see "has been deleted"
    And I click "Refresh"
    # No table exists.
    And I should not see the link "{{ subnet_name }}"

  @javascript @api
  Scenario: Delete a VPC
    Given I am logged in as a user with the "{{ role_name }}" role
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/vpc"
    And I click "Refresh"
    And I should see the link "{{ vpc_name }}"
    And I wait {{wait}} milliseconds
    And I click "{{ vpc_name }}"
    And the url should match "/vpc/"
    And I click "Delete" in the "actions"
    And the url should match "/delete"
    And I press "Delete"
    And I wait for AJAX to finish
    Then I should be on "/clouds/aws_cloud/{{ cloud_context }}/vpc"
    And I should see "has been deleted"
    And I click "Refresh"
    And I should not see the link "{{ vpc_name }}" in the table

  @javascript @api
  Scenario: Delete an AMI image
    Given I am logged in as a user with the "{{ role_name }}" role
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/image"
    And I click "Refresh"
    And I should see the link "{{ image_name }}"
    And I wait {{wait}} milliseconds
    And I click "{{ image_name }}"
    And the url should match "/image/"
    And I click "Delete" in the "actions"
    And the url should match "/delete"
    And I press "Delete"
    And I wait for AJAX to finish
    Then I should be on "/clouds/aws_cloud/{{ cloud_context }}/image"
    And I should see "has been delete"
    And I click "Refresh"
    # No table exists.
    And I should not see the link "{{ image_name }}"

  @javascript @api
  Scenario: Delete an SSH key pair
    Given I am logged in as a user with the "{{ role_name }}" role
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/key_pair"
    And I click "Refresh"
    And I should see the link "{{ ssh_key_name }}"
    And I wait {{wait}} milliseconds
    And I click "{{ ssh_key_name }}"
    And the url should match "/key_pair/"
    And I click "Delete" in the "actions"
    And the url should match "/delete"
    And I press "Delete"
    And I wait for AJAX to finish
    Then I should be on "/clouds/aws_cloud/{{ cloud_context }}/key_pair"
    And I should see "has been deleted"
    And I click "Refresh"
    # No table exists.
    And I should not see the link "{{ ssh_key_name }}"
