(function ($) {
  'use strict';

  const active_tab_observer = new MutationObserver((mutations) => {
    mutations.forEach((mutation) => {
      // changed vertival tab.
      updateSourcetypeOptions(mutation.target.value);
    });
  });
  const tab_configuration_observer = new MutationObserver((mutations) => {
    mutations.forEach((mutation) => {
      let active_tab = mutation.target.className.includes('active') ? 'git' : 'yml';
      // changed vertival tab.
      updateSourcetypeOptions(active_tab);
    });
  });
  active_tab_observer.observe(
    document.querySelector('.vertical-tabs__active-tab'),
    {
      attributes: true,
      attributeFilter: ['value']
    }
  );
  tab_configuration_observer.observe(
    document.querySelector('#edit-configuration-git'),
    {
      attributes: true,
      attributeFilter: ['class']
    }
  );

  let updateSourcetypeOptions = function (active_tab) {
    if (!active_tab) {
      return;
    }
    $('#edit-field-source-type option').each(function () {
      let source_type = $(this).val();

      if (source_type == '_none') {
        $(this).hide();
        return true;
      }

      if(active_tab.includes('git') && source_type === 'yml') {
        $(this).hide();
        return true;
      }

      if (active_tab.includes('git') && source_type === 'git') {
        $(this).prop('selected', 'selected');
      } else {
        if ($(this).prop('selected')) {
          $(this).prop('selected', '');
        }
      }
    });
  };

})(jQuery);
