(function ($, Drupal, drupalSettings) {

  'use strict';

  let changeTabBySourcetype = function (context) {
    if ($("select[name='field_source_type']").length > 0) {
      const $source_type = $("select[name='field_source_type']")[0].value.includes('git') ? 'git' : 'yml';
      $(context).find('[data-vertical-tabs-panes]').each(function () {
        const $tab_tag = $(this).find('> details').length > 0 ? 'details' : 'div';
        const $tabs = $(this).addClass('vertical-tabs__panes').find($tab_tag + '[id*="edit-configuration"]')
        const $select_tab_id = 'edit-configuration-' + $source_type;
        let $tab_focus = '';
        $tabs.each(function () {
          if (this.id === $select_tab_id) {
            $tab_focus = $(this);
          }
        });
        if ($tab_focus.length > 0) {
          $tab_focus.data('verticalTab').focus();
        }
      });
    }
  }

  Drupal.behaviors.k8sLaunchTemplateVerticalTabs = {
    // Drupal 9.3.x or earlier
    attach: function (context) {
      changeTabBySourcetype(context);
    },

    // Drupal 9.4.x or later
    attach: function attach(context) {
      changeTabBySourcetype(context);
    },
  };

})(jQuery, Drupal, drupalSettings);
