<?php

namespace Drupal\cloud\Commands;

/**
 * A Drush Behat commands file interface.
 */
interface BehatCommandsInterface {

  public const BEHAT_PATH = 'tests/src/Behat';
  public const RANDOM_NAME_LENGTH = 5;

  /**
   * Preprocess behat test feature files.
   *
   *  Note: The PHPDoc of a class method is shown in the 'drush list' and 'drush
   *  help' commands. Therefore, we cannot use {@inheritdoc} in the class.
   *
   * @param array $options
   *   An associative array of options whose values come from cli, config, etc.
   *
   * @command cloud:behat:preprocess
   * @aliases cloud-behat-pre
   */
  public function preprocess(array $options): void;

}
